
# ~/.kshrc

# put all configurations understood by ksh here

#echo "~/.kshrc"

HOME_KSHRC=1
export HOME_KSHRC

. "${HOME}/.shinit.sh"
HOME_SHINIT="1"
export HOME_SHINIT


#if [ -n "$HOME_SHINIT" ]
#then
# if [ "$HOME_SHINIT" -gt 0 ]
# then
#  echo PAH ~/.shinit.sh
#  :
#  fi
#else
#  echo SUCK ~/.shinit.sh
#  . "${HOME}/.shinit.sh"
#  HOME_SHINIT="1"
#  export HOME_SHINIT
#fi

if test -f /usr/xpg4/bin/id
then
    ID_BIN="/usr/xpg4/bin/id"
else
    ID_BIN="id"
fi

if test "`$ID_BIN -u`" = 0
then
    PS1='-=*[ROOT KSH]*=- # '
else
    PS1='[ksh] $ '
fi

export PS1

case $- in *i*)
    # Add here all commands, that must be run under interactive shells only
    HISTFILE="${HOME}/.ksh_history"
    export HISTFILE
esac


